# $Id: cservice.example.conf.in,v 1.9 2005/12/06 18:12:44 kewlio Exp $
# Channel Services configuration file.
#
# sql_host = Hostname/IP of the PostgreSQL server.

sql_host = 127.0.0.1
sql_port = 5432

# sql_db = Name of the database. 
# (To create from the template, run cservice.sql through Postgres)

sql_db = cservice

# sql_user is the username to pass to Postgres on connection.
# Usefull if your account name is not the same as your Database
# username.

sql_user = gnuworld
sql_pass = foo

# General 'Bot' options.

nickname = X
username = cservice
hostname = yournetwork.org
userdescription = For help type: /msg X help
mode = +idk

#
# Channel to relay flood/warnings/exceptions, etc.
#

pending_page_url = http://www.yoursite.com/live/view_app.php

relay_channel = #coder-com

#
# Channel to relay useful information, but not quite as annoying
# as the debug_channel ! (a.k.a privileged user relay channel)
# 

priv_relay_channel = #coder-com

#
# Channel to relay useful debug information that otherwise
# annoy CS admins. :)
#

debug_channel = #coder-com

#
# Coder channel.
#
# Channel used to extract levels to display coder access status.

coder_channel = #coder-com

#
# Frequency in seconds to check the database for updates.
#

update_interval = 180

#
# Number of seconds to sample for flooding.
#

flood_duration = 30

#
# Input flood rate.
#
# Eg: 30, for 30 points amassed within "flood_duration" seconds.
#

input_flood = 3000

#
# Output flood rate.
#
# Eg: 20480 (20k within "flood_duration" seconds).
#

output_flood = 20480

#
# Minimum duration at which to set a topic in a non idle channel.
# (Seconds).
#

topic_duration = 1800

#
# Duration at which we check for idle user accounts in memory.
# (Seconds).

expire_interval = 3600

#
# How long those accounts should have been idle before they are
# uncached. (Seconds).
#

cache_interval = 3600

#
# How often to notify/commit changes to Pending channels.
# (Seconds).

pending_duration = 1800

#
# How often to check if the connection to the backend has
# fallen over? (Seconds).
#

connection_check_frequency = 10

#
# How many times do we try every 'connection_check_frequency' seconds
# to reconnect before finally giving up and exiting?
#

connection_retry_total = 5

#
# How often (in seconds) should we check all channels that have
# floating-limit set to see if they need a new limit setting?
#
# Note: 30 is a good value, try 1min if you have lots of chans
# and not so much CPU.

limit_check = 30

#
# How long (In seconds) should we wait before allowing
# logins after startup. (Incase you're on a busy network
# with a really large burst and need things to settle down
# first to ease up load on the Db).
#

login_delay = 5


#
# What is the period (in seconds) in which we will check to
# see if someone has sent too many notes, and what do we
# define "Too Many" as?
# Ie: You can send 'note_limit' notes in 'note_duration' seconds.
#

note_duration = 3600
note_limit = 5

#
# How many not(ic)es will be stored at one time 
# 0 disallowed, 3 will be used

max_notes = 30;

#
# Pre-cache 'x' days worth of user accounts.
# This lets you preload all the users who have logged in during the last
# 'x' number of days to avoid a large number of queries when processing
# +r accounts during the initial net.burst.
#
preload_user_days = 1

#
# Specify the filename for the 'Admin Log'.
# Basically a log of all commands admins type.
#
admin_logfile = admin.log

#
# Specify the filename for the 'Command Log'
# A log of ALL commands issued by ALL users.
# requires USE_COMMAND_LOG in cservice_config.h
command_logfile = cs.log

#
# This option is used only if ALLOW_HELLO is defined in
# cservice_config.h, thus enabling the HELLO command in cservice.
# This is the time to block users attempting to flood the bot with
# hello commands, in seconds.
#
hello_block_period = 3600

#
# If this is set to 1, the password generated for the new user will be sent to the email
# otherwise displayed directly to the user
# ** IMPORTANT: mailutils or mailx package must be installed on your system

hello_sendmail_enabled = 0

#
# Sending email when new user registered
# Define here the "from address"
#

sendmail_from = cservice@yournetwork.org

#
# What is the period (in seconds) in which we will check for
# new webrelay messages
#

webrelay_interval = 10;

#
# How long the bot should stay in an idle channel before leaving it.
# This only takes into account join/parts, not privmsg.
# Default is 2 days (172800 seconds)
#

part_idle_chan = 172800

#
# Enable/Disable totp authentication (must be enabled in mod.cservice/cservice_config.h on compliation)
# 1 = totp enabled, 0 = totp disabled

enable_totp = 0

#
# Days to expire users
# 0 = never expire

users_expire_days = 60

#
# Set MIA flag on channels where manager missing for
# 0 = never expire

MIA_start_days = 21

#
# Purge MIA flagged channels after
#

MIA_end_days = 30

#
# Frequncy for check database for last seen users(in hours)
# cannot be 0, default 8 will be used

users_db_idle = 1

#
# Frequncy for check database for for channels for missing managers(in hours)
# cannot be 0, default 3 will be used

channels_db_idle = 1

# Set hour length in seconds
# (appliabale only for "new" features user and channel expires
# cannot be 0; 1 will be used

hour_seconds = 3600

# Set day length in seconds
# (appliabale only for "new" features user and channel expires
# cannot be 0; 1 will be used

day_seconds = 86400

#
# Description for MIA starting period
#

MIA_start_desc = Manager has failed to login. To vote for new manager send mail to cservice@undernet.org

#
# MIA URL
#

MIA_URL = Only 400+ Ops

#
# Description for MIA ending period (manager has logged in)
#

MIA_end_desc = Manager has logged in. This was the last warning for failure to login

#			#			#
# ***** The Judge *****	#
#			#			#

required_supporters = 2

judge_day_seconds = 360

min_days_before_reg = 1

min_days_before_support = 1

max_concurrent_supports = 3

noreg_days_on_nosupport = 1

reject_app_on_userfraud = 1

rewiev_on_object = 1

rewievs_expire_time = 100

pendings_expire_time = 30

max_days = 5

unique_joins = 5

joins = 15

min_supporters = 2

min_supporters_joins = 3

notify_days = 2

support_days = 1

reviewer_id = 1

# A welcome message for a newly accepted channel
# For empty use '' and it means disabled

welcome_newchan_message = Congratulations! Channel %s has been registered!

# A welcome topic for a newly accepted channel
# For empty use '' and it means disabled. Applies only on empty channel topic.
# TOPIC_TRACK must be #define in \include\gnuworld_config.h

welcome_newchan_topic = *** Congratulations! Your channel application has been accepted! ***

#
# Reserved/restricted hostnames.
# Cannot set by regular users. Wildcard match is accepted.
# The bot's hostname and hiddenhost suffix are automatically added to the list
#

reservedHost = *anyhost.com
reservedHost = *.anyhost2.com
